import App from './App'
import {createSSRApp} from 'vue'
import * as Pinia from 'pinia'
import uvUI from '@/uni_modules/uv-ui-tools'
import bootstrap from './utils/bootstrap'
import config from "@/utils/config";

export function createApp() {
  const app = createSSRApp(App)
  // 创建pinia实例
  const pinia = Pinia.createPinia()
  // 使用pinia
  app.use(pinia)
  app.use(uvUI);

  uni.$uv.setConfig({
    // 修改$uv.config对象的属性
    config: {
      // 修改默认单位为rpx，相当于执行 uni.$uv.config.unit = 'rpx'
      unit: 'rpx'
    },
    // 修改$uv.props对象的属性
    props: {}
  })

  bootstrap()

  app.config.globalProperties.$imgUrl = config.get('imgUrl')

  return {
    app,
  }
}
